# Uses of Class
org.apache.wiki.workflow.Outcome

Packages that use Outcome
Package
Description
org.apache.wiki.tasks.auth
Provides auth-related Tasks, meant to be executed by the workflow framework.
org.apache.wiki.tasks.pages
Provides WikiPages' saving related Tasks, meant to be executed by the workflow framework.
org.apache.wiki.workflow

## Uses of Outcome in org.apache.wiki.tasks.auth

Methods in org.apache.wiki.tasks.auth that return Outcome
Modifier and Type
Method
Description
`Outcome`
SaveUserProfileTask.`execute(org.apache.wiki.api.core.Context context)`
Saves the user profile to the user database.

## Uses of Outcome in org.apache.wiki.tasks.pages

Methods in org.apache.wiki.tasks.pages that return Outcome
Modifier and Type
Method
Description
`Outcome`
PreSaveWikiPageTask.`execute(org.apache.wiki.api.core.Context context)`
Executes the processing for this Step and returns an Outcome indicating if it succeeded (`STEP_COMPLETE` or `STEP_ABORT`).
`Outcome`
SaveWikiPageTask.`execute(org.apache.wiki.api.core.Context context)`
Executes the processing for this Step and returns an Outcome indicating if it succeeded (`STEP_COMPLETE` or `STEP_ABORT`).

## Uses of Outcome in org.apache.wiki.workflow

Fields in org.apache.wiki.workflow declared as Outcome
Modifier and Type
Field
Description
`static final Outcome`
Outcome.`DECISION_ACKNOWLEDGE`
Acknowlege the Decision.
`static final Outcome`
Outcome.`DECISION_APPROVE`
Approve the Decision (and complete the step).
`static final Outcome`
Outcome.`DECISION_DENY`
Deny the Decision (and complete the step).
`static final Outcome`
Outcome.`DECISION_HOLD`
Put the Decision on hold (and pause the step).
`static final Outcome`
Outcome.`DECISION_REASSIGN`
Reassign the Decision to another actor (and pause the step).
`static final Outcome`
Outcome.`STEP_ABORT`
Terminate workflow step (without errors)
`static final Outcome`
Outcome.`STEP_COMPLETE`
Complete workflow step (without errors)
`static final Outcome`
Outcome.`STEP_CONTINUE`
Continue workflow step (without errors)
Methods in org.apache.wiki.workflow that return Outcome
Modifier and Type
Method
Description
`abstract Outcome`
AbstractStep.`execute(org.apache.wiki.api.core.Context ctx)`
Executes the processing for this Step and returns an Outcome indicating if it succeeded (`STEP_COMPLETE` or `STEP_ABORT`).
`Outcome`
Decision.`execute(org.apache.wiki.api.core.Context context)`
Default implementation that always returns `STEP_CONTINUE` if the current Outcome isn't a completion (which will be true if the `Decision.decide(Outcome, Context)` method hasn't been executed yet.
`Outcome`
Step.`execute(org.apache.wiki.api.core.Context ctx)`
Executes the processing for this Step and returns an Outcome indicating if it succeeded (`STEP_COMPLETE` or `STEP_ABORT`).
`static Outcome`
Outcome.`forName(String key)`
Returns a named Outcome.
`Outcome`
Decision.`getDefaultOutcome()`
Returns the default or suggested outcome, which must be one of those returned by `AbstractStep.getAvailableOutcomes()`.
`final Outcome`
AbstractStep.`getOutcome()`
Returns the Outcome of this Step's processing; by default, `STEP_CONTINUE`.
`Outcome`
Step.`getOutcome()`
Returns the Outcome of this Step's processing; by default, `STEP_CONTINUE`.
Methods in org.apache.wiki.workflow that return types with arguments of type Outcome
Modifier and Type
Method
Description
`final Collection<Outcome>`
AbstractStep.`getAvailableOutcomes()`
Returns a Collection of available outcomes, such as "approve", "deny" or "reassign", in the order in which they were added via `Step.addSuccessor(Outcome, Step)`.
`Collection<Outcome>`
Step.`getAvailableOutcomes()`
Returns a Collection of available outcomes, such as "approve", "deny" or "reassign", in the order in which they were added via `Step.addSuccessor(Outcome, Step)`.
Methods in org.apache.wiki.workflow with parameters of type Outcome
Modifier and Type
Method
Description
`final void`
AbstractStep.`addSuccessor(Outcome outcome, Step step)`
Adds a successor Step to this one, which will be triggered by a supplied Outcome.
`void`
Step.`addSuccessor(Outcome outcome, Step step)`
Adds a successor Step to this one, which will be triggered by a supplied Outcome.
`void`
Decision.`decide(Outcome outcome, org.apache.wiki.api.core.Context context)`
Sets this Decision's outcome, and restarts the parent Workflow if it is in the `Workflow.WAITING` state and this Decision is its currently active Step.
`void`
DecisionQueue.`decide(Decision decision, Outcome outcome, org.apache.wiki.api.core.Context context)`
Attempts to complete a Decision by calling `Decision.decide(Outcome, Context)`.
`final Step`
AbstractStep.`getSuccessor(Outcome outcome)`
Identifies the next Step for a particular Outcome; if there is no next Step for this Outcome, this method returns `null`.
`Step`
Step.`getSuccessor(Outcome outcome)`
Identifies the next Step for a particular Outcome; if there is no next Step for this Outcome, this method returns `null`.
`final void`
AbstractStep.`setOutcome(Outcome outcome)`
Sets the current Outcome for the step.
`void`
Step.`setOutcome(Outcome outcome)`
Sets the current Outcome for the step.
Constructors in org.apache.wiki.workflow with parameters of type Outcome
Modifier
Constructor
Description
``
`Decision(int workflowId, Map<String,Serializable> workflowContext, String messageKey, Principal actor, Outcome defaultOutcome)`
Constructs a new Decision for a required "actor" Principal, having a default Outcome.